#
# $Id$
#
# This is a sample file to override default properties used
# during installation of EJBCA (ant install)
# 
# You should copy and rename this file to install.properties
# and customize at will.
#

# ------------ Administrative CA configuration ---------------------
# This installation will create a first administrative CA. This CA will be used to create the first
# superadministrator and for the SSL server certificate of administrative web server.
# When the administrative web server have been setup you can create other CA:s and administrators.
# This is only used for administrative purposes,
# Enter a short name for the administrative CA.
ca.name=Mobile-id-CA

# The Distinguished Name of the administrative CA. 
# This is used in the CA certificate to distinguish the CA.
# Note, you can not use DC components for the initial CA, you can create CAs 
# using DC components later on once the admin GUI is up and running.
ca.dn=CN=Mobile-id-CA,O=Mobile-id Information System,C=VN

# The token type the administrative CA will use.
# Use soft for software generated keys (default) or enter a class path for the HSM class.
# Normally the HSM class should be the PKCS11CryptoToken. 
#
# Possible values are:
# soft
# org.cesecore.keys.token.PKCS11CryptoToken
# se.primeKey.caToken.card.PrimeCAToken
# Note: If you use JBoss 7/EAP 6 and want to use PKCS#11 you have to configure JBoss to permit this. 
#       See instructions in the Install Guide.
#
# Default: soft
ca.tokentype=soft

# Password for the administrative CA token.
# With soft token, use password null.
# To prompt for the password on the terminal, don't set, i.e. comment out the line below.
# If no password should be used (for example nCipher module protected), use password '' (nothing).
ca.tokenpassword=null

# Configuration file were you define key name, password and key alias for the HSM used 
# by the administrative CA. Same as the Hard CA Token Properties in Admin gui.
# Remove everything in the file and add your own configuration.
# Note that this must be a full path.
# On windows use / instead of \
#ca.tokenproperties=/home/ejbca/ejbca/conf/catoken.properties

# The keyspec for the administrative CAs key, to be generated in soft keystore.
# Keyspec for RSA keys is size of RSA keys (1024, 2048, 4096, 8192).
# Keyspec for ECDSA keys is name of curve or 'implicitlyCA', see docs.
ca.keyspec=2048

# The keytype for the administrative CA, can be RSA, ECDSA or DSA
# For the key to be generated in soft keystore.
ca.keytype=RSA

# Default signing algorithm for the administrative CA.
# Available algorithms are:
# SHA1WithRSA, SHA1withECDSA, SHA256WithRSA, SHA256withECDSA.
ca.signaturealgorithm=SHA256WithRSA

# The validity in days for the administrative CA, only digits.
ca.validity=3650

# The policy id of the administrative CA. Policy id determines which PKI policy the CA uses.
# Type your policy id or use '2.5.29.32.0' for 'any policy' (rfc5280) or 'null' for no policy at all.
ca.policy=null

# Certificate profile used for the CA certificate created during 'ant install'. 
# If you have a certificate profile imported you can use that. Otherwise default
# profile for ROOTCA is used.
# Default: ROOTCA
#ca.certificateprofile=MyOwnRootCACertificateProfile
